# Uses of Interface
org.apache.lucene.codecs.uniformsplit.IndexDictionary

Packages that use IndexDictionary
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.

- ## Uses of IndexDictionary in org.apache.lucene.codecs.uniformsplit

  Classes in org.apache.lucene.codecs.uniformsplit that implement IndexDictionary
  Modifier and Type
  Class
  Description
  `class`
  `FSTDictionary`
  Immutable stateless `FST`-based index dictionary kept in memory.
  Fields in org.apache.lucene.codecs.uniformsplit declared as IndexDictionary
  Modifier and Type
  Field
  Description
  `protected IndexDictionary`
  FSTDictionary.BrowserSupplier.`dictionary`
  Lazy loaded immutable index dictionary FST.
  Methods in org.apache.lucene.codecs.uniformsplit that return IndexDictionary
  Modifier and Type
  Method
  Description
  `IndexDictionary`
  IndexDictionary.Builder.`build()`
  Builds the immutable `IndexDictionary` for the added entries.